#ifndef MESSAGE_H
#define MESSAGE_H

#define COMMAND_MATRIX_

#define COMMS_PLAY    'P'
#define COMMS_REFRESH 'R'
#define COMMS_PAUSE   'S'
#define COMMS_STEP    'F'
#define COMMS_REWIND  'B'
#define COMMS_EXIT    'Q'

#define SEND          0
#define RECV          1

struct comm {
   int parent_to_child[2];
   int child_to_parent[2];
};

typedef struct comm Comm;

#endif

void message_handler();
int  init_comm(Comm *comm);
void init_parent_comm(Comm *comm);
void init_child_comm(Comm *comm);
void send_command_to_child(Comm *comm, char message);
void recv_command_from_parent(Comm *comm, char *message);
void send_command_to_parent(Comm *comm, char  message);
void recv_command_from_child(Comm *comm, char *message);
void send_data_to_child(Comm *comm, char *Buffer, int Buffer_len);
void recv_data_from_parent(Comm *comm, char *Buffer, int *Buffer_len);

